%define libname %mklibname clucene2
%define develname %mklibname clucene2 -d

Summary:	C++ port of Lucene
Name:		clucene
Version:	2.3.3.4
Release:	%mkrel 3
License:	LGPL
Group:		Archiving/Other
URL:            http://clucene.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/clucene/%{name}-core-%{version}.tar.xz
Patch0:		clucene-core-2.3.3.4-use-system-libs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
#Obsoletes: 	clucene <= 0.9.15

%description -n	%{libname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains shared libraries for clucene.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Provides:	%{name}2-devel = %{version}
Requires:	%{libname} = %{version}
#Obsoletes:	%mklibname -d clucene 0
#Conflicts:	%{_lib}clucene-devel
Obsoletes:  libclucene-devel
Provides:   libclucene-devel = %version-%release

%description -n	%{develname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains static libraries and development headers for 
clucene.

%prep

%setup -q -n %name-core-%version
%apply_patches

# build with system libs
rm -rf src/ext


%build
%cmake -DBUILD_CONTRIBS_LIB=BOOL:ON \
       -DLUCENE_SYS_INCLUDES:PATH=%{_libdir} \
       -DLIB_DESTINATION:PATH=%{_libdir}


%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build  


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/*.so.*


%files -n %{develname}
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/CLuceneConfig.cmake/CLuceneConfig.cmake
%{_libdir}/pkgconfig/libclucene-core.pc
/usr/lib/CLucene/CLuceneConfig.cmake
/usr/lib/CLucene/clucene-config.h
   
%changelog
* Thu Nov 22 2018 adrianomorselli <adrianomorselli> 2.3.3.4-3uplos2018
- update
